Skip to main content
PUT
/
customers
/
{customerId}
Update customer
curl --request PUT \
  --url https://api.example.com/customers/{customerId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-environment: <x-environment>' \
  --data '
{
  "name": "<string>",
  "companyName": "<string>",
  "handle": "<string>",
  "email": "<string>",
  "currency": "<string>",
  "billingAddress": {
    "street1": "<string>",
    "street2": "<string>",
    "postalCode": "<string>",
    "city": "<string>",
    "county": "<string>",
    "country": "<string>",
    "state": "<string>"
  }
}
'
import requests

url = "https://api.example.com/customers/{customerId}"

payload = {
"name": "<string>",
"companyName": "<string>",
"handle": "<string>",
"email": "<string>",
"currency": "<string>",
"billingAddress": {
"street1": "<string>",
"street2": "<string>",
"postalCode": "<string>",
"city": "<string>",
"county": "<string>",
"country": "<string>",
"state": "<string>"
}
}
headers = {
"x-environment": "<x-environment>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {
'x-environment': '<x-environment>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: '<string>',
companyName: '<string>',
handle: '<string>',
email: '<string>',
currency: '<string>',
billingAddress: {
street1: '<string>',
street2: '<string>',
postalCode: '<string>',
city: '<string>',
county: '<string>',
country: '<string>',
state: '<string>'
}
})
};

fetch('https://api.example.com/customers/{customerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "handle": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "billingAddress": {
    "street1": "<string>",
    "street2": "<string>",
    "postalCode": "<string>",
    "city": "<string>",
    "county": "<string>",
    "country": "<string>",
    "state": "<string>"
  },
  "paymentTerm": "<string>",
  "email": "<string>",
  "currency": "<string>"
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}

Headers

x-environment
string<uuid>
required

Configure which environment the request will handle. If the provided credentials do not allow access to this specified environment, a 403 Forbidden response is returned.

Path Parameters

customerId
string<uuid>
required

Id of customer to update.

Body

application/json

Properties to update.

name
string | null
required

The customer's full name.

companyName
string | null

An optional business name.

handle
string | null

A unique identifier for the customer. If no identifier is provided, one will be generated automatically.

email
string | null

The customer's email address.

currency
string | null

Three-letter ISO currency code, in lowercase. Must be a supported currency (https://go.plude.io/h11101).

billingAddress
object
collectionMode
enum<string>
Available options:
automatic,
send_invoice,
draft_invoice

Response

OK

id
string<uuid>

Unique id of the customer.

name
string | null

Name of the customer.

handle
string | null

Unique handle of the customer.

createdAt
string<date-time>

Date and time when the product was created.

updatedAt
string<date-time> | null

/// Date and time when the product was last updated.

billingAddress
object
paymentTerm
string | null

Preferred payment term of customer. See https://docs.plude.io/invoicing/payment-terms.

email
string | null

Email of the customer.

currency
string | null

Optional sets the preferred currency of this customer.

collectionMode
enum<string>
Available options:
automatic,
send_invoice,
draft_invoice